| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DMetadataSettingsContainer Class Reference

The class DMetadataSettingsContainer is designed to dynamically add namespaces.

## Public Member Functions
| DMetadataSettingsContainer (const DMetadataSettingsContainer &other)
void | addMapping (const QString &key)
void | defaultValues ()
| defaultValues - default namespaces used by digiKam
QList< NamespaceEntry > & | getReadMapping (const QString &key) const
QList< NamespaceEntry > & | getWriteMapping (const QString &key) const
QList< QString > | mappingKeys () const
DMetadataSettingsContainer & | operator= (const DMetadataSettingsContainer &other)
void | readFromConfig (KConfigGroup &group)
bool | readingAllTags () const
void | setReadingAllTags (bool b)
void | setUnifyReadWrite (bool b)
QString | translateMappingKey (const QString &key) const
bool | unifyReadWrite () const
void | writeToConfig (KConfigGroup &group) const